/*

 File: gui_taylorcoeffdialog.h, 2003/06/17

 ACETAF, Version 3.0.1

 Copyright (C) Markus Neher, markus.neher@math.uni-karlsruhe.de
               Ingo Eble,    ingoeble@web.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _TAYLORCOEFFDIALOG_H_INCLUDED
#define _TAYLORCOEFFDIALOG_H_INCLUDED

#include <qvariant.h>
#include <qdialog.h>

#include <complex>

typedef std::complex<double> Complex;

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QLineEdit;
class QPushButton;

class TaylorCoeffDialog : public QDialog
{ 
  Q_OBJECT
    
 public:
  TaylorCoeffDialog( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
  ~TaylorCoeffDialog();
  
 signals:

  void sendData(const Complex&,int);
  
 private slots:
    
  void OKButtonPressed();
  
 protected:
  
  QVBoxLayout* TaylorCoeffDialogLayout;
  QHBoxLayout* Layout11;
  QVBoxLayout* Layout5;
  QVBoxLayout* Layout9;
  QHBoxLayout* Layout8;
  QHBoxLayout* Layout7;
  
  QLabel* Label_DevelPoint;
  QLabel* Label_NumberCoeff;
  QLineEdit* EditDevelPoint;
  QLineEdit* EditNumberCoeff;
  QPushButton* OKButton;
  QPushButton* CancelButton;
};

#endif


/*

  End of File: gui_taylorcoeffdialog.h

*/
