/*

 File: zero.cpp, 2003/06/17

 ACETAF, Version 3.0.1

 Copyright (C) Markus Neher, markus.neher@math.uni-karlsruhe.de
               Ingo Eble,    ingoeble@web.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _ZERO_CPP_INCLUDED
#define _ZERO_CPP_INCLUDED

#include "zero.h"

#include "adaptintval.h"
#include "cinterval.h"

using Adapt::Interval;

template<> bool is_zero<Interval>::operator () (const Interval& x) const
{
  return x.contains(0.0); //check if x contains zero, and not if x is zero!!
}

template<> bool is_zero<CInterval>::operator () (const CInterval& x) const
{
  return x.contains(Complex(0.0,0.0)); //check if x contains zero, and not if x is zero!!
}

#endif

/*

  End of File: zero.cpp

*/
